## pkg-js-tools 0.5~bpo9%2B1

=== debian/control ===
Source: pkg-js-tools
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Xavier Guimard <yadd@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 10~),
Build-Depends-Indep:
 git,
 help2man,
 libjson-perl,
 libtest-output-perl,
 perl,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
Homepage: https://salsa.debian.org/js-team/pkg-js-tools
Rules-Requires-Root: no

Package: pkg-js-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 autodep8,
 autopkgtest,
 devscripts,
 libconfig-model-dpkg-perl,
 libconfig-model-perl,
 libdebian-copyright-perl,
 lintian,
Breaks:
 nodejs-dev (<<10.15.0~dfsg-10),
Description: collection of tools to aid packaging Node modules in Debian
 The Debian Javascript Group
 works on packaging JavaScript libraries for Debian.
 This collection contains the tools
 which help the group with day-to-day work.
 .
 It provides github-debian-upstream,
 a salsa configuration file and files to add "--with nodejs" to dh.

Package: pkg-js-autopkgtest
Architecture: all
Depends:
 libjson-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: collection of autopktest scripts for Nodejs packages
 This package contains test runners
 to be used with the autopkgtest infrastructure for Nodejs packages.
 .
 Packages using the tests with autopkgtests in this package
 can simply set "Testsuite: autopkgtest-nodejs" in debian/control.
 .
 Cf. /usr/share/doc/pkg-js-autopkgtest/README.autopkgtest.md
 for information on the tests and how to tweak them.
