## pkg-js-tools 0.5~bpo9+1

=== debian/changelog ===
pkg-js-tools (0.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 06 May 2019 20:54:22 +0200

pkg-js-tools (0.5) unstable; urgency=medium

  * Fix typo in README.md
  * Use tar to copy test files
  * Launch test with "sh -e"

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Feb 2019 21:50:37 +0100

pkg-js-tools (0.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Feb 2019 13:30:02 +0100

pkg-js-tools (0.4) unstable; urgency=medium

  * Add homepage
  * Update nodejs-dev break version

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 Feb 2019 21:32:37 +0100

pkg-js-tools (0.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Bump debhelper compatibility level to 10

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Jan 2019 21:52:56 +0100

pkg-js-tools (0.3) unstable; urgency=medium

  * Fix autopkgtest error when no test file exists

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 Feb 2019 21:25:37 +0100

pkg-js-tools (0.2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Wrap and sort control files and debhelper snippets.
  * Update copyright info: Use License-Grant and License-Reference fields.
  * Tidy: Use semantic linefeeds.
  * Fix mention JavaScript libraries (not Perl modules) in long description.

  [ Xavier Guimard ]
  * Add autopkgtest control example
  * Return 77 (skippable) if debian/tests/pkg-js/test is missing

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Jan 2019 20:52:25 +0100

pkg-js-tools (0.1) unstable; urgency=medium

  * Initial release (Closes: #920350)

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Jan 2019 09:27:55 +0100
