## pkg-js-tools 0.5

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: devel
 Priority: optional
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
 Build-Depends-Indep:
  git,
  help2man,
