=== debian/tests/control ===
Tests: tools
Depends:
 pkg-js-tools,
 @builddeps@,
