## pkg-js-tools 0.7

=== debian/changelog ===
pkg-js-tools (0.7) unstable; urgency=medium

  * Add pkg-js lintian profile
  * Fix bad merge in 0.6

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 10:49:16 +0200

pkg-js-tools (0.6) unstable; urgency=medium

  * Search installed files in /usr/share/nodejs and /usr/lib/*/nodejs
    (Closes: #931675)

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 10:08:29 +0200
