## pkg-js-tools 0.8.8

=== debian/changelog ===
pkg-js-tools (0.8.8) experimental; urgency=medium

  * auto_install:
    * Exclude package-lock, yarn.lock and makefiles
    * Update doc
    * Fix "files" pattern
    * Build ignored files/dirs regexp during build
    * Apply ignored regexp only on root directory
  * autopkgtest: don't die if link target exists

 -- Xavier Guimard <yadd@debian.org>  Fri, 02 Aug 2019 09:02:47 +0200

pkg-js-tools (0.8.7) experimental; urgency=medium

  * Fix "readme" regex
  * Add "simple" test
  * Better filtering
  * Manage "*" in "files" field

 -- Xavier Guimard <yadd@debian.org>  Wed, 31 Jul 2019 15:58:47 +0200

pkg-js-tools (0.8.6) experimental; urgency=medium

  * Reorganize and improve tests
  * Better install system
  * Update doc
  * Fix dependencies
  * Add double package test
  * Install even if *.install exists, this will need a transition
  * Add dh_auto_configure test

 -- Xavier Guimard <yadd@debian.org>  Tue, 30 Jul 2019 19:35:43 +0200

pkg-js-tools (0.8.5) experimental; urgency=medium

  * Fix bad install when "files" field is missing
  * Improve tests
  * Bump debhelper compatibility level to 12

 -- Xavier Guimard <yadd@debian.org>  Mon, 29 Jul 2019 20:21:35 +0200

pkg-js-tools (0.8.4) experimental; urgency=medium

  * Force package.json install. Don't install doc/example directories
  * Update tests
  * Update doc
  * Fix bad install when running under sbuild

 -- Xavier Guimard <yadd@debian.org>  Mon, 29 Jul 2019 16:39:32 +0200

pkg-js-tools (0.8.3) experimental; urgency=medium

  * Add auto_install feature for main component (Closes: #933171)
  * Declare compliance with policy 4.4.0

 -- Xavier Guimard <yadd@debian.org>  Sun, 28 Jul 2019 08:59:11 +0200

pkg-js-tools (0.8.2) experimental; urgency=medium

  [ Suman Rajan ]
  * Typo fix
  * Update README.md

  [ Xavier Guimard ]
  * Add nodepath command
  * Revert rollup test: will be done later using node --experimental-modules
  * Install automatically components in node_modules/ directory before build,
    then install automatically components in <module/path>/node_modules
    (Closes: #933007, #931790)

 -- Xavier Guimard <yadd@debian.org>  Fri, 26 Jul 2019 19:56:47 +0200

pkg-js-tools (0.8.1) experimental; urgency=medium

  * Build custom rollup.config.js for rollup test
  * Don't launch rollup test during build (revert 0.8 change)

 -- Xavier Guimard <yadd@debian.org>  Thu, 11 Jul 2019 21:34:01 +0200

pkg-js-tools (0.8) experimental; urgency=medium

  * Launch a rollup test every time a "module" field is found
    (Closes: #930917)
  * Don't enable KGB in js policy

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Jul 2019 23:11:59 +0200
