=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Section: devel
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
 Build-Depends-Indep:
  git,
  help2man,
  libjson-perl,
+ libregexp-assemble-perl,
  libtest-output-perl,
  perl,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
 Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
 Homepage: https://salsa.debian.org/js-team/pkg-js-tools
@@ -23,7 +24,9 @@
 Depends:
  ${misc:Depends},
  ${perl:Depends},
-Recommends:
+ debhelper,
+ libjson-perl,
+Suggests:
  autodep8,
  autopkgtest,
  devscripts,
