=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 	dh $@
 
 override_dh_auto_build:
+	./dh_nodejs/mk_regexp dh_nodejs/Buildsystem/nodejs.pm
 	help2man -n --no-info ./tools/github-debian-upstream > github-debian-upstream.1
+	help2man -n --no-info ./tools/nodepath > nodepath.1
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PKG_TEST_LOCAL=1 debian/tests/tools
 endif
