## pkg-js-tools 0.8.9

=== debian/changelog ===
pkg-js-tools (0.8.9) experimental; urgency=medium

  * Fix bad regexp for excluded dirs
  * Exclude Changes, tsconfig.json, .eslint files
  * Fix priority in ignored files
  * Improve tests
  * Fix pattern search

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 09:10:40 +0200
