=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	./dh_nodejs/mk_regexp dh_nodejs/Buildsystem/nodejs.pm
+override_dh_auto_build: dh_nodejs/Buildsystem/nodejs.pm
 	help2man -n --no-info ./tools/github-debian-upstream > github-debian-upstream.1
 	help2man -n --no-info ./tools/nodepath > nodepath.1
 
@@ -17,3 +16,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PKG_TEST_LOCAL=1 debian/tests/tools
 endif
+
+dh_nodejs/Buildsystem/nodejs.pm: dh_nodejs/mk_regexp dh_nodejs/dh_dirs.excluded dh_nodejs/dh_files.excluded
+	./dh_nodejs/mk_regexp dh_nodejs/Buildsystem/nodejs.pm
