## pkg-js-tools 0.8.10

=== debian/changelog ===
pkg-js-tools (0.8.10) unstable; urgency=medium

  * Back to unstable after tests
  * Exclude appveyor.yml
  * Fix "**/" parsing
  * Improve tests

 -- Xavier Guimard <yadd@debian.org>  Sun, 04 Aug 2019 08:44:18 +0200
