## pkg-js-tools 0.9.16

=== debian/changelog ===
pkg-js-tools (0.9.16) unstable; urgency=medium

  * autopkgtest: initialize HOME variable

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Oct 2019 22:01:07 +0200

pkg-js-tools (0.9.15) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * debhelper: fix install when files field contains "{,}" expressions

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Oct 2019 21:49:36 +0200

pkg-js-tools (0.9.14) unstable; urgency=medium

  * debhelper:
    + Exclude bench dir and Dockerfile from install (Closes: #940648)
    + Don't ignore debian/nodejs/extlinks if no components
    + Install files declared in "types" field (Closes: #941359)

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Sep 2019 22:36:55 +0200

pkg-js-tools (0.9.13) unstable; urgency=medium

  * Fix autopkgtest
  * Exclude bench*.js files (Closes: #940648)

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Sep 2019 21:06:57 +0200

pkg-js-tools (0.9.12) unstable; urgency=medium

  * Back to unstable
  * debhelper: fix bad main detection and install
  * add-node-component: add -u option to launch "cme update dpkg-copyright"
    (Closes: #935569)
  * autopkgtest: launch "require" test with --no-deprecation

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Sep 2019 22:36:03 +0200

pkg-js-tools (0.9.11) experimental; urgency=medium

  * debhelper:
    + add additional_components feature
    + main module can changed instead of default '.'
    + main module is no more required
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Fri, 13 Sep 2019 18:22:01 +0200

pkg-js-tools (0.9.10) unstable; urgency=medium

  * nodepath: return 1 if module not found
  * add-node-component: add --cmp-tree option
  * debhelper:
    + add build order feature
    + able to install component in nodejs root directory and set
      ${nodejs:Provides}
  * Update debian/clean
  * Update manifest
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Sep 2019 21:13:41 +0200

pkg-js-tools (0.9.9) unstable; urgency=medium

  * add-node-component:
    + don't fail if origin tag does not exist (Closes: #935933)
    + add "--download-current-version" in default uscan options
      (Closes: #939093)
    + add "--uscan-option" option

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Sep 2019 23:10:33 +0200

pkg-js-tools (0.9.8) unstable; urgency=medium

  * autopkgtest: fix bad package.json parsing (Closes: #935299)
  * debhelper:
    + Accept Gruntfile.coffee as Grunt file (Closes: #935301)
    + Add debian/nodejs/links feature to be able to link arch
      dependent files
  * Improve manpages

 -- Xavier Guimard <yadd@debian.org>  Sun, 25 Aug 2019 09:52:26 +0200

pkg-js-tools (0.9.7) unstable; urgency=medium

  * Enable grunt test only with autopkgtest (Closes: #935029)
  * github-debian-upstream: remove deprecated "Name" and "Contact" fields
  * Add nodejs in pkg-js-tools dependencies (Closes: #935251)

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Aug 2019 10:21:23 +0200

pkg-js-tools (0.9.6) unstable; urgency=medium

  * Fix debhelper sequence return value and update test (Closes: #935016)

 -- Xavier Guimard <yadd@debian.org>  Sun, 18 Aug 2019 08:28:28 +0200

pkg-js-tools (0.9.5) unstable; urgency=medium

  * add-node-component:
    + fallback to registry if no git tags
    + fix registry build
    + fix bad registry url if component looks like @foo/bar
    + new command: del-node-component (symlink) which enables new "-r" option
  * debhelper:
    + test components before main (build only)

 -- Xavier Guimard <yadd@debian.org>  Thu, 15 Aug 2019 11:36:46 +0200

pkg-js-tools (0.9.4) unstable; urgency=medium

  * add-node-component:
    + fix warning in help
    + fix uscan bug workaround

 -- Xavier Guimard <yadd@debian.org>  Mon, 12 Aug 2019 18:42:21 +0200

pkg-js-tools (0.9.3) unstable; urgency=medium

  * Release auto_build in unstable with only grunt support:
    + add grunt test
    + disable gulp test
    + replace gulp by grunt in build dependencies
    + add devscripts and git-buildpackage in suggested dependencies
  * add-node-component:
    + add import feature (Closes: #934456)
    + remove sign-tags from gbp.conf default template
    + able to fix downloaded version

 -- Xavier Guimard <yadd@debian.org>  Mon, 12 Aug 2019 16:26:59 +0200

pkg-js-tools (0.9.2) experimental; urgency=medium

  * Import 0.8.14 changes

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Aug 2019 12:10:33 +0200

pkg-js-tools (0.9.1) experimental; urgency=medium

  * Rebuild with 0.8.13 changes

 -- Xavier Guimard <yadd@debian.org>  Thu, 08 Aug 2019 15:23:06 +0200

pkg-js-tools (0.9.0) experimental; urgency=medium

  * Update doc
  * Add auto_build feature (Closes: #845043)
  * Update doc

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Aug 2019 22:13:03 +0200

pkg-js-tools (0.8.14) unstable; urgency=medium

  * New commands:
    - debcheck-node-repo: repo consistency check
    - add-node-component: automatically update d/watch and d/gbp.conf
  * lintian profile:
    - add repo consistency check in new "pkg-js-extra" profile
    - install and fix lintian tags (Closes: #934144)
  * Update doc
  * Switch package to native Pkg-Perl
  * Fix manpages

 -- Xavier Guimard <yadd@debian.org>  Sun, 11 Aug 2019 09:10:43 +0200

pkg-js-tools (0.8.13) unstable; urgency=medium

  * Fix component links when package name contains /
  * Add "extlinks" feature
  * Update doc
  * Always remove node_modules/.cache (Closes: #934214)
  * Don't die if "main" file does not exist
  * Add component test feature (build only)

 -- Xavier Guimard <yadd@debian.org>  Thu, 08 Aug 2019 15:03:54 +0200

pkg-js-tools (0.8.12) unstable; urgency=medium

  * Update doc
  * Add .gitlab-ci.yml
  * Fix ci
  * Fix package-lock exclusion
  * Update doc
  * Update lintian profile due to lintian changes (Closes: #934144)
  * Add allow-stderr in autopkgtest control, fixes debci

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Aug 2019 15:34:37 +0200

pkg-js-tools (0.8.11) unstable; urgency=medium


