=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  debhelper-compat (= 12),
 Build-Depends-Indep:
+ devscripts,
  git,
  help2man,
  libjson-perl,
  libregexp-assemble-perl,
  libtest-output-perl,
  perl,
-Standards-Version: 4.4.0
+ nodejs <!nocheck>,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
 Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
 Homepage: https://salsa.debian.org/js-team/pkg-js-tools
@@ -26,10 +28,13 @@
  ${perl:Depends},
  debhelper,
  libjson-perl,
+ nodejs
 Suggests:
  autodep8,
  autopkgtest,
  devscripts,
+ git-buildpackage,
+ libconfig-inifiles-perl,
  libconfig-model-dpkg-perl,
  libconfig-model-perl,
  libdebian-copyright-perl,
