=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BIN:=$(shell ls tools/)
MANPAGE:=$(BIN:=.1)

%:
	dh $@

%.1:
	PERL5LIB=lib help2man -n $* -N --help-option=-h ./tools/$* > $*.1

override_dh_auto_configure:
	./dh_nodejs/mk_regexp lib/Debian/Debhelper/Buildsystem/nodejs.pm
	dh_auto_configure

override_dh_auto_install: lib/Debian/Debhelper/Buildsystem/nodejs.pm $(MANPAGE)
	dh_auto_install

lib/Debian/Debhelper/Buildsystem/nodejs.pm: dh_nodejs/mk_regexp dh_nodejs/dh_dirs.excluded dh_nodejs/dh_files.excluded
	./dh_nodejs/mk_regexp lib/Debian/Debhelpe/Buildsystem/nodejs.pm
