## pkg-js-tools 0.9.31

=== debian/changelog ===
pkg-js-tools (0.9.31) unstable; urgency=medium

  * debhelper:
   + fix paths in file fields
   + drop grunt.js file
  * lintian :
    + update lintian tag description files to lintian 2.58.0, remove Certainty
      field, and update Severity to the new values (Closes: #954336)
    + Suggests lintian ≥ 2.58.0~

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Mar 2020 18:03:25 +0100

pkg-js-tools (0.9.30) unstable; urgency=medium

  [ Xavier Guimard ]
  * New tool: pkgjs-ls
    + add suggested dependency to node-semver
  * debhelper:
    + add warning if name is not found
    + fix "submodule" field
    + add debian/nodejs/test to have a distinct test between build and
      autopkgtest
    + exclude lerna.conf from auto install

  [ Nilesh Patra ]
  * autopkgtest: add options to skip "require" and "require" a different
    file/module than PKG

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Mar 2020 09:57:25 +0100

pkg-js-tools (0.9.29) unstable; urgency=medium

  [ Nilesh Patra ]
  * add-node-component: switch to use debian-tag while embedding components

  [ Xavier Guimard ]
  * lintian: add new nodejs-bad-buffer-usage tag
  * debhelper:
    + don't install gulpfile.babel.js
    + don't ignore debian/ dir in component

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Mar 2020 19:01:50 +0100

pkg-js-tools (0.9.28) unstable; urgency=medium

  * debhelper: fix "${nodejs:Provides}" field for "@foo/bar" packages

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Feb 2020 10:19:40 +0100

pkg-js-tools (0.9.27) unstable; urgency=medium

  [ Xavier Guimard ]
  * debhelper:
    + Exclude *.c, *.cpp *.c++ *.def
    + Add debian/nodejs/**/name override file
    + Authorize to force install of skipped files
  * add-node-component: update debian/copyright Source field
  * Declare pkg-js-autopkgtest as "Multi-Arch: foreign"

  [ Nilesh ]
  * add-node-component: Add gbp.conf and watch before committing, stash and
    apply rest changes when option -i is set

 -- Xavier Guimard <yadd@debian.org>  Sat, 22 Feb 2020 18:22:23 +0100

pkg-js-tools (0.9.26) unstable; urgency=medium

  * debhelper:
    + Use DEB_HOST_MULTIARCH to find arch-dep install dir
    + Exclude cakefile from install
  * autopkgtest: better fix for source without package.json

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Jan 2020 14:00:02 +0100

pkg-js-tools (0.9.25) unstable; urgency=medium

  * Declare compliance with policy 4.5.0
  * debhelper:
    + exclude from install (Closes: #949580):
      - anywhere: .npmignore, .gitignore, source files (.cc, .h), .deps
                  directories
      - from root dir: binding.gyp

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 Jan 2020 16:57:44 +0100

pkg-js-tools (0.9.24) unstable; urgency=medium

  * github-debian-upstream: add "Changelog" field
  * autopkgtest: use installed package.json if no one found (Closes: #949277)
  * add-node-component: add --force-npm-reg and --force-github-tags options
    (Closes: #942441, #935824)

 -- Xavier Guimard <yadd@debian.org>  Tue, 21 Jan 2020 18:34:38 +0100

pkg-js-tools (0.9.23) unstable; urgency=medium

  * github-debian-upstream:
    + fix argument parsing
    + add Bug-Submit field
  * debhelper:
    + revert "Fix possibly missing package.json in components" introduced in
      version 0.9.22

 -- Xavier Guimard <yadd@debian.org>  Fri, 03 Jan 2020 09:58:31 +0100

pkg-js-tools (0.9.22) unstable; urgency=medium

  [ Felix Lechner ]
  * Use new Lintian interface in checks.

  [ Xavier Guimard ]
  * add-node-component:
    + cmp-tree: read also debian/nodejs/additional_components
  * debhelper:
    + fix extlinks for modules with / in their names
    + fix possibly missing package.json in components

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Dec 2019 08:50:51 +0100

pkg-js-tools (0.9.21) unstable; urgency=medium

  * debhelper: don't fail on missing component

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Dec 2019 21:18:31 +0100

pkg-js-tools (0.9.20) unstable; urgency=medium

  * debheper:
    + don't install "licence" files
    + build links after component install
  * autopkgtest: use debian/nodejs/main if exist to find package.json

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Dec 2019 21:08:42 +0100

pkg-js-tools (0.9.19) unstable; urgency=medium

  * debhelper:
    + Fix "main" file install for components
    + Add related test

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Nov 2019 06:51:08 +0100

pkg-js-tools (0.9.18) unstable; urgency=medium

  * add-node-component:
    + Don't fail if upstream repo is not set in npm registry (Closes: #942523)
  * autopkgtest: replace deprecated ADTTMP variable
  * debhelper:
    + fix "main" file install when "files" field does not contain it

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Nov 2019 18:18:35 +0100

pkg-js-tools (0.9.17) unstable; urgency=medium

  [ Xavier Guimard ]
  * debhelper: fix install when no main module is defined

  [ Andrius Merkys ]
  * Adding dh-make-node (Closes: #941582)

  [ Xavier Guimard ]
  * add-node-component: better error display (See #941119)
  * nodepath: better @xx/yy support
  * debhelper:
    + add debian/nodejs/extcopies to workaround tsc bugs
    + install package.json#typings when present (Closes: #942361)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Oct 2019 22:39:33 +0200
