=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  devscripts,
  git,
  help2man,
+ libdebian-copyright-perl,
  libjson-perl,
  libregexp-assemble-perl,
  libtest-output-perl,
  perl,
  nodejs <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
 Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
 Homepage: https://salsa.debian.org/js-team/pkg-js-tools
@@ -27,18 +28,19 @@
  ${misc:Depends},
  ${perl:Depends},
  debhelper,
+ devscripts,
+ libdebian-copyright-perl,
  libjson-perl,
  nodejs
 Suggests:
  autodep8,
  autopkgtest,
- devscripts,
  git-buildpackage,
  libconfig-inifiles-perl,
  libconfig-model-dpkg-perl,
  libconfig-model-perl,
- libdebian-copyright-perl,
- lintian,
+ lintian (>= 2.58.0~),
+ node-semver,
 Breaks:
  nodejs-dev (<<10.15.0~dfsg-10),
 Description: collection of tools to aid packaging Node modules in Debian
@@ -47,11 +49,12 @@
  This collection contains the tools
  which help the group with day-to-day work.
  .
- It provides github-debian-upstream,
+ It provides github-debian-upstream, dh-make-node,
  a salsa configuration file and files to add "--with nodejs" to dh.
 
 Package: pkg-js-autopkgtest
 Architecture: all
+Multi-Arch: foreign
 Depends:
  libjson-perl,
  ${misc:Depends},
