## pkg-js-tools 0.9.41

=== debian/changelog ===
pkg-js-tools (0.9.41) unstable; urgency=medium

  * debhelper:
    + Provides dh-sequence-nodejs (Closes: #970016)
    + Build node_modules link during test when "main" is not the root
      directory (Closes: #971361)

 -- Xavier Guimard <yadd@debian.org>  Tue, 29 Sep 2020 15:51:50 +0200

pkg-js-tools (0.9.40) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Felix Lechner ]
  * Change file extension for Lintian tag; rename Info field to Explanation.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Aug 2020 18:53:51 +0200

pkg-js-tools (0.9.39) unstable; urgency=medium

  * debhelper: improve node.js version detection, thanks to Jonas Smedegaard
  * lintian:
    + remove lintian checks which have been incorporated into lintian proper

 -- Xavier Guimard <yadd@debian.org>  Sat, 18 Jul 2020 19:30:21 +0200

pkg-js-tools (0.9.38) unstable; urgency=medium

  [ Felix Lechner ]
  * Remove Lintian check descriptions; they are obsolete.
  * Adapt Lintian checks to case-sensitive Deb822 parser.

  [ Xavier Guimard ]
  * debhelper:
    + fix component build order
    + populate ${nodejs:Version} variable

 -- Xavier Guimard <yadd@debian.org>  Fri, 10 Jul 2020 12:15:28 +0200

pkg-js-tools (0.9.37) unstable; urgency=medium

  * debcheck-node-repo: able to read git@host:path
  * debhelper:
    + link debian/tests/test_modules modules before components test
    + don't fail during links/copies when a module is missing
  * Move devscripts to recommended dependencies

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 07:02:02 +0200

pkg-js-tools (0.9.36) unstable; urgency=medium

  * Update doc
  * debhelper:
    + use debhelper warning/error functions
    + exclude Jakefile
  * add-node-component:
    + don't fail when git stash reports an error (Closes: #960406)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 May 2020 09:33:04 +0200

pkg-js-tools (0.9.35) unstable; urgency=medium

  * debhelper: fix test_modules links and add test

 -- Xavier Guimard <yadd@debian.org>  Thu, 30 Apr 2020 15:29:15 +0200

pkg-js-tools (0.9.34) unstable; urgency=medium

  * Update doc
  * debhelper: fix build & test links when module is @foo (Closes: #959131)

 -- Xavier Guimard <yadd@debian.org>  Thu, 30 Apr 2020 12:57:21 +0200

pkg-js-tools (0.9.33) unstable; urgency=medium

  * debhelper:
    + link modules found in debian/tests/test_modules in node_modules
      directory during test step
    + link modules found in debian/build_modules in node_modules directory
      during configure step (Closes: #959015)
  * autopkgtest:
    + export "NODE_PATH=debian/tests/test_modules:node_modules" when directory
      debian/tests/test_modules exists

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Apr 2020 12:25:13 +0200

pkg-js-tools (0.9.32) unstable; urgency=medium

  * debhelper: launch sh with -x
  * autopkgtest: launch sh with -x
  * pkgjs-ls:
    + don't color if output isn't a terminal
    + improve duplication detection
  * add-node-component:
    + add --checksum and --no-ctype options
    + commit also copyright changes
  * Update salsa configuration file to redirect KGB to #debian-js-changes

 -- Xavier Guimard <yadd@debian.org>  Fri, 24 Apr 2020 15:49:54 +0200
