=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders:
  Xavier Guimard <yadd@debian.org>,
 Section: devel
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Indep:
  devscripts,
  git,
  help2man,
  libdebian-copyright-perl,
+ libipc-run-perl,
  libjson-perl,
  libregexp-assemble-perl,
  libtest-output-perl,
@@ -28,10 +30,12 @@
  ${misc:Depends},
  ${perl:Depends},
  debhelper,
- devscripts,
  libdebian-copyright-perl,
+ libipc-run-perl,
  libjson-perl,
  nodejs
+Recommends:
+ devscripts
 Suggests:
  autodep8,
  autopkgtest,
@@ -41,6 +45,7 @@
  libconfig-model-perl,
  lintian (>= 2.58.0~),
  node-semver,
+Provides: dh-sequence-nodejs (= ${binary:Version})
 Breaks:
  nodejs-dev (<<10.15.0~dfsg-10),
 Description: collection of tools to aid packaging Node modules in Debian
