## pkg-js-tools 0.9.63

=== debian/changelog ===
pkg-js-tools (0.9.63-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 11:34:36 -0400

pkg-js-tools (0.9.63~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Jan 2021 13:29:59 +0100

pkg-js-tools (0.9.63) unstable; urgency=medium

  * autopkgtest: fix regexp that parse debian/nodejs/ext* (Closes: #980195)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Jan 2021 22:37:59 +0100

pkg-js-tools (0.9.62~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 21:48:12 +0100

pkg-js-tools (0.9.62) unstable; urgency=medium

  * Fix little warning

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 10:11:01 +0100

pkg-js-tools (0.9.61) unstable; urgency=medium

  * Add ava.config.js in build files list
  * Add possibility to mark extcopies and extlinks with "test": this permits
    one to avoid regressions due to behavior change introduced by #977744:
    when building with "nocheck", links/copies marked with "test" are ignored

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 10:04:29 +0100

pkg-js-tools (0.9.60~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 21:58:28 +0100

pkg-js-tools (0.9.60) unstable; urgency=medium

  [ Felix Lechner ]
  * In Lintian profile, stop using commas as field separators.
  * Place Lintian checks into their proper Perl name space.

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 23:00:50 +0100

pkg-js-tools (0.9.59) unstable; urgency=medium

  * debhelper:
    + abort configure step when extlinks/extcopies are not available
      (Closes: #977744)
    + fix bad detection of missing "main" file
  * doc:
    + indicate that extlinks/extcopies are searched with nodejs algorithm
    + fix typo in doc. Thanks to Jonas Smedegaard (Closes: #977745)
  * Add .mocharc in build files list

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 19:13:50 +0100

pkg-js-tools (0.9.58~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Dec 2020 06:27:02 +0100

pkg-js-tools (0.9.58) unstable; urgency=medium

  * Fix version in provides field when package name differs from main
    component name (Closes: #977677)
  * pkgjs-depends: display component in package list

 -- Xavier Guimard <yadd@debian.org>  Fri, 18 Dec 2020 22:27:58 +0100

pkg-js-tools (0.9.57) unstable; urgency=medium

  * Back to unstable
  * debhelper: fix .npmignore parsing

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 13:30:56 +0100

pkg-js-tools (0.9.56) experimental; urgency=medium

  * Add jsl.node.conf in build files
  * autopkgtest: fix links and copies (Closes: #977535)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Dec 2020 14:57:36 +0100

pkg-js-tools (0.9.55) experimental; urgency=medium

  * Add karma.conf.js in build files list
  * debhelper:
    + extcopies: copy with `cp -rL` to fix broken symlinks
  * autopkgtest:
    + honor debian/nodejs/extcopies (Closes: #977535)

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Dec 2020 12:10:55 +0100

pkg-js-tools (0.9.54~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 09:35:33 +0100

pkg-js-tools (0.9.54) unstable; urgency=medium

  * New tool: pkgjs-depends (parse dependencies recursively and displays
              related Debian packages and missing dependencies)
  * add-node-component:
    + --cmp-tree: avoid error on bad component name

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Dec 2020 09:49:28 +0100

pkg-js-tools (0.9.53) unstable; urgency=medium

  * Declare compliance with policy 4.5.1
  * debhelper: workaround bad .npmignore (see node-jsdom)
  * autopkgtest:
    + fix build files search when file is hidden
    + add .babelrc.js and babel.config.json in build files list
  * add-node-component: add "ctype=nodejs" unless --no-ctype is set

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 16:21:21 +0100

pkg-js-tools (0.9.52~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Nov 2020 06:46:26 +0100

pkg-js-tools (0.9.52) unstable; urgency=medium

  * debhelper:
    + honor "!foo" expressions in "files" fields
    + honor .npmignore and its default value (from npm-packlist)
    + don't fail if main dir isn't created during clean and build
  * autopkgtest: fix test links

 -- Xavier Guimard <yadd@debian.org>  Wed, 25 Nov 2020 23:00:44 +0100

pkg-js-tools (0.9.51) unstable; urgency=medium

  * debhelper: add jest.config.js in makefiles list
  * autopkgtest:
    + better module-name parsing
    + honor debian/nodejs/extlinks
    + try to link debian/tests/test_modules/* in node_module directory, else
      keep previous behavior (export NODE_PATH)

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Nov 2020 09:40:31 +0100

pkg-js-tools (0.9.50~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Nov 2020 06:41:21 +0100

pkg-js-tools (0.9.50) unstable; urgency=medium

  * Back to unstable after successful tests
  * Update documentation
  * autopkgtest: better output

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Nov 2020 19:03:01 +0100

pkg-js-tools (0.9.49) experimental; urgency=medium

  * autopkgtest:
    + fix links when tests are in a subdir of installed files
    + autopkgtest: add tests

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Nov 2020 22:28:55 +0100

pkg-js-tools (0.9.48) experimental; urgency=medium

  * autopkgtest: automatically install makefiles

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Nov 2020 15:33:35 +0100

pkg-js-tools (0.9.47~bpo10+1) buster-backports; urgency=medium


