=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pkg-js-tools
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
  Xavier Guimard <yadd@debian.org>,
 Section: devel
@@ -18,7 +19,7 @@
  libtest-output-perl,
  perl,
  nodejs <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/pkg-js-tools
 Vcs-Git: https://salsa.debian.org/js-team/pkg-js-tools.git
 Homepage: https://salsa.debian.org/js-team/pkg-js-tools
@@ -35,7 +36,8 @@
  libjson-perl,
  nodejs
 Recommends:
- devscripts
+ devscripts,
+ libdpkg-perl
 Suggests:
  autodep8,
  autopkgtest,
