## pkg-js-tools 0.9.65~bpo10+1

=== debian/changelog ===
pkg-js-tools (0.9.65~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Yadd <yadd@debian.org>  Fri, 16 Jul 2021 11:04:38 +0200

pkg-js-tools (0.9.65) unstable; urgency=medium

  * Force package.json install even if removed by .npmignore (Closes: #988194)

 -- Yadd <yadd@debian.org>  Mon, 10 May 2021 20:03:59 +0200

pkg-js-tools (0.9.64) unstable; urgency=medium

  * Fix doc, thanks to Andrius Merkys (Closes: #980549)
  * Set SALSA_CI_CONFIG_PATH to "debian/salsa-ci.yml" in pkg-js-salsa.conf
  * Fix GitHub tags template
  * Update copyright

 -- Yadd <yadd@debian.org>  Sat, 27 Mar 2021 07:12:38 +0100
