=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 BIN:=$(shell ls tools/)
 MANPAGE:=$(BIN:=.1)
 FILEEXCLUDEDSOURCE:=$(shell ls dh_nodejs/dh_*)
+export NPMIGNOREDEFAULT=$(shell pwd)/dh_nodejs/npmignore.default
 
 %:
 	dh $@
@@ -20,7 +21,14 @@
 
 lib/Debian/Debhelper/Buildsystem/nodejs.pm: $(FILEEXCLUDEDSOURCE)
 	echo OK
-	./dh_nodejs/mk_regexp lib/Debian/Debhelper/Buildsystem/nodejs.pm
+	./dh_nodejs/mk_regexp lib/Debian/Debhelper/Buildsystem/nodejs.pm \
+		autopkgtest/runner
 
 override_dh_auto_install: lib/Debian/Debhelper/Buildsystem/nodejs.pm $(MANPAGE)
 	dh_auto_install
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	dh_auto_test
+	debian/tests/pkg-js-autopkgtest
+endif
