=== debian/tests/control ===
Tests: pkg-js-autopkgtest
