## pkg-js-tools 0.9.65

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pkg-js-tools
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
- Xavier Guimard <yadd@debian.org>,
+ Yadd <yadd@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
@@ -66,12 +65,12 @@
  libjson-perl,
  ${misc:Depends},
  ${perl:Depends},
-Description: collection of autopktest scripts for Nodejs packages
+Description: collection of autopkgtest scripts for Nodejs packages
  This package contains test runners
  to be used with the autopkgtest infrastructure for Nodejs packages.
  .
  Packages using the tests with autopkgtests in this package
- can simply set "Testsuite: autopkgtest-nodejs" in debian/control.
+ can simply set "Testsuite: autopkgtest-pkg-nodejs" in debian/control.
  .
- Cf. /usr/share/doc/pkg-js-autopkgtest/README.autopkgtest.md
+ Cf. /usr/share/doc/pkg-js-autopkgtest/README.md
  for information on the tests and how to tweak them.
