## pkg-js-tools 0.9.65+nmu1

=== debian/changelog ===
pkg-js-tools (0.9.65+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:27:26 +0800
