=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
 Build-Depends-Indep:
  devscripts,
  git,
